source vector.tcl

set SLF_PI 3.1415927

proc GenerateCircle { fRadius iSlices } {

    global SLF_PI

    set fDeltaTheta [expr 2.0 * $SLF_PI / $iSlices]
    set fTheta 0

    set vCenter { 0 0 0 }
    set vRadius { 0 0 0 }

    for { set i 0 } { $i < $iSlices } { incr i } {
	set vRadius [list [expr $fRadius*cos($fTheta)] [expr $fRadius*sin($fTheta)] 0]
        set pt [vexpr $vCenter + $vRadius]

	puts "point p[subst $i] ( $pt )"

	set fTheta [expr $fTheta + $fDeltaTheta]
    } 
}
